[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#492604: tex-common: dh_installtex does not work correctly with debhelper v6 and greater

Package: tex-common
Version: 1.11
Severity: serious
Justification: breaks unrelated packages

As discussed on the list, dh_installtex when used with debhelper >= 6
will create incorrect postrm scripts because the order of the snippets
inclusion has changed.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages tex-common depends on:
ii  debconf                       1.5.23     Debian configuration management sy
ii  dpkg                          1.14.20    Debian package management system
ii  ucf                           3.007      Update Configuration File: preserv

tex-common recommends no packages.

Versions of packages tex-common suggests:
ii  debhelper                     7.0.16     helper programs for debian/rules

Versions of packages texlive-base depends on:
ii  texlive-base-bin           2007.dfsg.2-3 TeX Live: Essential binaries
ii  texlive-common             2007.dfsg.1-3 TeX Live: Base component
ii  texlive-doc-base           2007.dfsg.1-1 TeX Live: Base documentation

-- debconf information:
  tex-common/singleuser: false

Reply to: